Skip to main content
PUT
Update agent availability

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
integer
required

Organization user ID

Required range: x <= 9007199254740991

Body

application/json
is_available
boolean

Whether the agent is available to take chats

custom_status
string | null

Free-form status label

max_concurrent_chats
integer

Per-agent chat capacity

Required range: 0 <= x <= 9007199254740991
call_available
boolean

Whether the agent is available for inbound phone calls

Response

Default Response

id
string
required
user_id
number
required
organization_id
string
required
is_available
boolean
required
custom_status
string | null
required
last_status_change
string<date-time>
required
current_chat_count
number
required
max_concurrent_chats
number
required
notes
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
call_available
boolean
required
call_locked
boolean
required
call_wrap_up_until
string<date-time> | null
required
call_wrap_up_phone_call_id
string | null
required
availability_status_id
string | null
required
call_wrap_up_started_at
string<date-time> | null